/*
 * Object.hpp
 *
 *  Created on: Sep 11, 2009
 *      Author: dportnoy
 */

#ifndef OBJECT_HPP_
#define OBJECT_HPP_

#include <Graphics/Graphics.hpp>
#include <Vector/Vector.hpp>

class Object {
public:
	GLuint list;
	Vector3f translate;
	Vector3f rotate;
	Vector3f scale;

	Object();
	virtual ~Object();
	void draw();
};

#endif /* OBJECT_HPP_ */
